summaryrefslogtreecommitdiff
path: root/tests/fsck-tests.sh
diff options
context:
space:
mode:
authorDavid Sterba <dsterba@suse.cz>2014-12-12 15:50:41 +0100
committerDavid Sterba <dsterba@suse.cz>2014-12-12 16:19:52 +0100
commit6856b0a4cab6eae794f0fe012391fa76a8dd3b4e (patch)
treeb5d78ca3502f8fa2c4f56182adb54b0050590f1f /tests/fsck-tests.sh
parent1519ee3f587f5ce76edde0e0e6fcc51ef896699c (diff)
btrfs-progs: tests: use 'btrfs check' instead of btrfsck
Signed-off-by: David Sterba <dsterba@suse.cz>
Diffstat (limited to 'tests/fsck-tests.sh')
-rw-r--r--tests/fsck-tests.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/tests/fsck-tests.sh b/tests/fsck-tests.sh
index 8987d044..285bcf65 100644
--- a/tests/fsck-tests.sh
+++ b/tests/fsck-tests.sh
@@ -45,11 +45,11 @@ do
run_check tar xJf $i
fi
- $here/btrfsck test.img >> $RESULT 2>&1
- [ $? -eq 0 ] && _fail "btrfsck should have detected corruption"
+ $here/btrfs check test.img >> $RESULT 2>&1
+ [ $? -eq 0 ] && _fail "btrfs check should have detected corruption"
- run_check $here/btrfsck --repair test.img
- run_check $here/btrfsck test.img
+ run_check $here/btrfs check --repair test.img
+ run_check $here/btrfs check test.img
done
if [ -z $TEST_DEV ] || [ -z $TEST_MNT ];then
@@ -83,7 +83,7 @@ test_extent_tree_rebuild()
-b 4096 $TEST_DEV
$here/btrfs check $TEST_DEV >& /dev/null && \
- _fail "fsck should detect failure"
+ _fail "btrfs check should detect failure"
run_check $here/btrfs check --init-extent-tree $TEST_DEV
run_check $here/btrfs check $TEST_DEV
}